#
# spec file for package mate-utils
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname_dict libmatedict
%define sover_dict 6
%define _version 1.16
Name:           mate-utils
Version:        1.16.0
Release:        2.2
Summary:        MATE Desktop utilities
License:        GPL-2.0+ and LGPL-2.0+ and GFDL-1.1
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  itstool
BuildRequires:  libxml2-python
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  popt-devel
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= 1.9.0
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(zlib)
%glib2_gsettings_schema_requires

%description
This package provides all the tools bundled with MATE utilities:
 - mate-disk-usage-analyzer, a disk usage analyser.
 - mate-dictionary, a program which can look up definitions of words.
 - mate-search-tool, with which one can find files by name or content.
 - mate-system-log, a log viewing application.
 - mate-screenshot, a tool to take desktop screenshots and save them.

%package common-lang
Summary:        Languages for MATE utilities
License:        GPL-2.0+ and LGPL-2.0+ and GFDL-1.1
Group:          System/Localization
Provides:       mate-dictionary-lang = %{version}
Provides:       mate-disk-usage-analyzer-lang = %{version}
Provides:       mate-screenshot-lang = %{version}
Provides:       mate-search-tool-lang = %{version}
Provides:       mate-system-log-lang = %{version}
BuildArch:      noarch

%description common-lang
Provides common translations shared by Caja extensions

%package -n mate-search-tool
Summary:        Mate Search Tool
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       mate-desktop-gschemas >= %{_version}
Recommends:     mate-search-tool-lang

%description -n mate-search-tool
This is the MATE Seach Tool as shipped with the MATE utilities. It uses
command-line tools such as find and locate to get results.

%package -n mate-disk-usage-analyzer
Summary:        Mate disk usage analyser
License:        GPL-2.0+
Group:          System/GUI/Other
Recommends:     mate-disk-usage-analyzer-lang

%description -n mate-disk-usage-analyzer
This is the MATE Disk Usage Analyzer as shipped with the MATE utilities.
mate-disk-usage-analyzer is able to scan either specific directories or
the wholefilesystem, in order to give the user a graphical tree representation
including each directory size or percentage in the branch.
It also auto-detects in real-time any change made to your home
folder as far as any mounted/unmounted device.

%package -n mate-dictionary
Summary:        Mate dictionary
License:        GPL-2.0+
Group:          System/GUI/Other
Recommends:     mate-dictionary-lang

%description -n mate-dictionary
This is the MATE dictionary as shipped with the MATE utilities.
mate-dictionary is a program which can look up the definition of
words

%package -n mate-system-log
Summary:        Mate system log viewer
License:        GPL-2.0+
Group:          System/GUI/Other
Requires:       mate-desktop-gschemas >= %{_version}
Recommends:     mate-system-log-lang

%description -n mate-system-log
This is the MATE system log viewer as shipped with the MATE utilities.
mate-system-log is a program which can view logs generated by the
operating system.

%package -n mate-screenshot
Summary:        Mate screenshot maker
License:        GPL-2.0+
Group:          System/GUI/Other
Recommends:     mate-screenshot-lang

%description -n mate-screenshot
This is the MATE screenshot maker as shipped with the MATE utilities.
mate-screenshot is a program which cantake desktop screenshots and
save them.

%package -n %{soname_dict}%{sover_dict}
Summary:        Library to look up words in dictionary sources
License:        GPL-2.0+
Group:          System/Libraries

%description -n %{soname_dict}%{sover_dict}
The matedict library is an engine to look up words in dictionary sources.

%package -n %{soname_dict}-devel
Summary:        Library to look up words in dictionary sources -- Development Files
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Requires:       %{soname_dict}%{sover_dict} = %{version}

%description -n %{soname_dict}-devel
The matedict library is an engine to look up words in dictionary sources.
This package contains development files for libmatedict.

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --disable-static                    \
  --libexecdir=%{_libexecdir}/%{name} \
  --with-gtk=2.0                      \
  --with-x                            \
  --enable-ipv6=yes
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}%{_datadir}

%suse_update_desktop_file mate-disk-usage-analyzer
%suse_update_desktop_file mate-dictionary
%suse_update_desktop_file mate-search-tool
%suse_update_desktop_file mate-system-log
%suse_update_desktop_file mate-screenshot

%post -n %{soname_dict}%{sover_dict} -p /sbin/ldconfig

%postun -n %{soname_dict}%{sover_dict} -p /sbin/ldconfig

%post -n mate-disk-usage-analyzer
%desktop_database_post
%glib2_gsettings_schema_post

%postun -n mate-disk-usage-analyzer
%desktop_database_postun
%glib2_gsettings_schema_postun

%post -n mate-dictionary
%desktop_database_post
%glib2_gsettings_schema_post

%postun -n mate-dictionary
%desktop_database_postun
%glib2_gsettings_schema_post

%post -n mate-screenshot
%desktop_database_post
%glib2_gsettings_schema_post

%postun -n mate-screenshot
%desktop_database_postun
%glib2_gsettings_schema_postun

%post -n mate-search-tool
%desktop_database_post
%glib2_gsettings_schema_post

%postun -n mate-search-tool
%desktop_database_postun
%glib2_gsettings_schema_postun

%post -n mate-system-log
%desktop_database_post
%glib2_gsettings_schema_post

%postun -n mate-system-log
%desktop_database_postun
%glib2_gsettings_schema_postun

%files -n mate-disk-usage-analyzer
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_datadir}/help/C/mate-disk-usage-analyzer/
%{_bindir}/mate-disk-usage-analyzer
%{_datadir}/mate-disk-usage-analyzer/
%{_datadir}/glib-2.0/schemas/org.mate.disk-usage-analyzer.gschema.xml
%{_datadir}/applications/mate-disk-usage-analyzer.desktop
%{_datadir}/icons/hicolor/*/apps/mate-disk-usage-analyzer.*
%dir %{_datadir}/appdata/
%{_datadir}/appdata/mate-disk-usage-analyzer.appdata.xml
%{_mandir}/man?/mate-disk-usage-analyzer.?%{?ext_man}

%files -n mate-dictionary
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_datadir}/help/C/mate-dictionary/
%{_bindir}/mate-dictionary
%{_datadir}/dbus-1/services/org.mate.panel.applet.DictionaryAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.dictionary.gschema.xml
%{_datadir}/mate-dictionary/
%dir %{_datadir}/mate-panel/
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/org.mate.DictionaryApplet.mate-panel-applet
%dir %{_libexecdir}/mate-utils/
%{_libexecdir}/mate-utils/mate-dictionary-applet
%{_datadir}/applications/mate-dictionary.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/mate-dictionary.appdata.xml
%{_mandir}/man?/mate-dictionary.?%{?ext_man}

%files -n mate-screenshot
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_bindir}/mate-panel-screenshot
%{_bindir}/mate-screenshot
%{_datadir}/glib-2.0/schemas/org.mate.screenshot.gschema.xml
%{_datadir}/mate-screenshot/
%{_datadir}/applications/mate-screenshot.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/mate-screenshot.appdata.xml
%{_mandir}/man?/mate-panel-screenshot.?%{?ext_man}
%{_mandir}/man?/mate-screenshot.?%{?ext_man}

%files -n mate-search-tool
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_datadir}/help/C/mate-search-tool/
%{_bindir}/mate-search-tool
%{_datadir}/glib-2.0/schemas/org.mate.search-tool.gschema.xml
%{_datadir}/applications/mate-search-tool.desktop
%{_datadir}/pixmaps/mate-search-tool/
%dir %{_datadir}/appdata/
%{_datadir}/appdata/mate-search-tool.appdata.xml
%{_mandir}/man?/mate-search-tool.?%{?ext_man}

%files -n mate-system-log
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_datadir}/help/C/mate-system-log/
%{_bindir}/mate-system-log
%{_datadir}/applications/mate-system-log.desktop
%{_datadir}/glib-2.0/schemas/org.mate.system-log.gschema.xml
%{_datadir}/mate-utils/
%{_datadir}/icons/hicolor/*/apps/mate-system-log*
%{_mandir}/man?/mate-system-log.?%{?ext_man}

%files -n %{soname_dict}%{sover_dict}
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_datadir}/mate-dict/
%{_libdir}/%{soname_dict}.so.%{sover_dict}*

%files -n %{soname_dict}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/mate-dict/
%{_includedir}/mate-dict/
%{_libdir}/%{soname_dict}.so
%{_libdir}/pkgconfig/mate-dict.pc

%files common-lang -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/help/
%exclude %{_datadir}/help/C/

%changelog
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Add --version command line option to mate-screenshot.
  * GTK+3: Fix a mate-dictionary segfault with Gtk 3.21.
  * GTK+3: Fix lots of deprecations in all applications.
  * Update translations.
* Sun Aug 14 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * Require proper GTK+ version in mate-dict.pc file.
  * Some assorted fixes.
  * Make distcheck use currently selected GTK+ version.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Use hyphens instead of colons in screenshot filenames by
    default.
  * Some more fixes and cleanups.
  * Update translations.
  * Fix Changelog generation.
* Thu Jan 28 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * GTK+3: Fix a lot of deprecations and some UI issues.
  * Disable effects and delay options in mate-screenshot UI when
    launched with -ai command line argument.
  * Don't use -Werror flag in build.
  * Drop MateConf migration scripts.
* Mon Jan 11 2016 sor.alexei@meowr.ru
- Add missing mate-desktop-gschemas dependency to
  mate-search-tool, and mate-system-log.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
* Thu Oct 15 2015 sor.alexei@meowr.ru
- Update to 1.11.0:
  * Add application icon to mate-system-log.
  * Add timestamp instead of window name to screenshot filenames by
    default.
  * Have dictionary applet background automatically painted.
  * Translation fixes for gsettings schemas.
  * Some more fixes and cleanups (including source tree
    reorganisation).
* Wed Sep  2 2015 sor.alexei@meowr.ru
- Update to 1.10.3:
  * Fixed silent rules option by dropping obsolete "shave" stuff.
  * Make mate-system-log remember the active log on exit.
  * Fix potential crash in mate-system-log.
  * Various other bugfixes in mate-system-log.
  * Remove dead spanish server entry from mate-dictionary.
  * Fix mate-dictionary's command-line options and manpage.
  * Make Ctrl+A and Ctrl+C work in mate-dictionary's search field.
* Sat Jul 11 2015 sor.alexei@meowr.ru
- Update to version 1.10.2:
  * Several help fixes.
* Thu Jun 18 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Fix gschema translations.
* Thu May  7 2015 sor.alexei@meowr.ru
- Update to 1.10.0 (changes since 1.9.1):
  * Use explicit names in .desktop files.
  * Fix GLib >= 2.43 compatibility.
  * Update translations.
- Spec cleanup.
* Fri Jan 23 2015 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + Bug fixes release
* Thu Dec 11 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + Add GTK3 support
- Fix version requirements
* Fri Oct  3 2014 p.drouand@gmail.com
- Update to version 1.8.1
  + Added keywords key to .desktop files
  + Fixed several man pages
  + Fixed gsearchtool format-security warning
* Sat Mar 22 2014 p.drouand@gmail.com
- Remove forgotten mate-doc-utils require
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Thu Feb 20 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + use yelp-tools instead of mate-doc-utils
  + bugfixes
- All tools live in their own package now
- Add itstool requires; new upstream dependency
- Remove useless xz requires
* Mon Jan  6 2014 p.drouand@gmail.com
- Update to version 1.6.1
  + disable masking for area or window screenshots
  + Fix Sun GNOME Documentation Team references
  + screenshot: do not segfault when taking a window picture with no
    delay
  + Update AC_INIT_AUTOMAKE for make dist
  + Remove files pulled in automatically
  + Correct sgml filename
  + Correct name in about dialog
  + mate-screenshot: Fix save path selection
    Closes #32 (https://github.com/mate-desktop/mate-utils/issues/32)
    Fix from https://bugzilla.gnome.org/show_bug.cgi?id=579232
  + Fix incorrect FSF addresses
  + Use mate-disk-usage-analyzer icon instead of baobab
  + Fix name of libmatedict in mate-dict.pc.in
    Closes #6 (https://github.com/mate-desktop/mate-utils/issues/6)
  + change installation path of mate-disk-usage-analyzer icon to hicolor
- Add gtk-doc documentation of mate-dict to filelist of devel subpackage
- Remove useless scrollkeeper build dependency
* Thu Sep 19 2013 johann.luce@wanadoo.fr
- Fix %%exclude problem for factory
* Wed Apr  3 2013 p.drouand@gmail.com
- Update to version 1.6.0
  + no changes since 1.5.1
* Sun Mar 24 2013 p.drouand@gmail.com
- Update to version 1.5.1
  + fix missing static void keywords in baobab
  + remove comment on mate-screenshot manpage
  + fix libgdict makefile
  + update makefile for automake 1.13
- Remove merged patchs on upstream release:
  + Fix-missing-static-void-keywords-in-baobab.patch
  + Remove-comment-on-manpage.patch
* Sun Feb 17 2013 hillwood@linuxfans.org
- change group of devel package as Development/Libraries/Other
* Sat Feb  9 2013 p.drouand@gmail.com
- add Fix-missing-static-void-keywords-in-baobab.patch; fix build for Factory
- add  Remove-comment-on-manpage.patch ; fix build for Factory
* Mon Oct  1 2012 nmo.marques@gmail.com
- rework mate-utils-1.4.0-fix_pointer.patch; merged upstream
- add missing descriptions and cleanups
* Wed Sep 12 2012 nmo.marques@gmail.com
- add mate-utils-1.4.0-fix_pointer.patch: fix build for 1210
* Tue Sep 11 2012 nmo.marques@gmail.com
- initial package from version 1.4.0
